@import url(colors.css);
@import url(fonts.css);

* {
  box-sizing: border-box;
}

/* remove scrollbar on page */
body::-webkit-scrollbar {
  width: 0;
}

body {
  margin: 0 0.5em;
  background-image: url(/img/bg.jpg);
  background-size: cover;
  background-repeat: no-repeat;
  background-attachment: fixed;
  background-position: center;
}

.form-styles {
  display: flex;
  justify-content: center;
  align-items: center;
  min-height: 100vh;
}
.form-wrapper {
  background-color: rgba(255, 255, 255, 0.9);
  font-family: Raleway;
  padding: 2em;
  width: 100%;
  min-width: 500px;
  max-width: 900px;
}
.no-form {
  padding-bottom: 5em;
}
.no-form h1 {
  padding-bottom: 0;
}

.text-center {
  text-align: center;
}

h1 {
  text-align: center;
  padding-top: 1em;
  padding-bottom: 0.5em;
  font-size: 2.5em;
}

p {
  margin-bottom: 0.5em;
}

a {
  color: var(--main-blue);
  transition: 0.5s;
}
a:hover {
  color: var(--main-blue-lt);
}

.required {
  color: var(--main-blue);
  margin-left: 2px;
  font-family: arial;
}

input,
textarea,
select {
  padding: 10px;
  width: 100%;
  font-size: 17px;
  font-family: Raleway;
  border: 1px solid #aaaaaa;
}

textarea {
  resize: vertical;
}

/* Mark input boxes that gets an error on validation: */
input.invalid {
  background-color: #ffdddd;
  border: 1px solid #ff5f5f;
  transition: 0.5s;
}

#buttons {
  padding-top: 2em;
  overflow: auto;
}
#buttons div {
  float: right;
}

button {
  background-color: var(--main-blue);
  color: #ffffff;
  border: none;
  padding: 10px 20px;
  font-size: 17px;
  font-family: Raleway;
  cursor: pointer;
  transition: 0.5s;
}

button:hover {
  opacity: 0.8;
}

.btn-link {
  color: var(--main-blue);
  transition: 0.5s;
}

input[type="radio"] {
  transition: background-color 0.5s;
}
input[type="radio"]:checked {
  background-color: var(--main-blue-lt);
}

#prevBtn {
  background-color: #8b8b8b;
}

#circles {
  text-align: center;
  margin-top: 2.5em;
}

/* Make circles that indicate the steps of the form */
.step {
  height: 15px;
  width: 15px;
  margin: 0 2px;
  background-color: #8b8b8b;
  border: none;
  border-radius: 50%;
  display: inline-block;
  opacity: 0.5;
}

.step.active {
  opacity: 1;
}

/* Mark the steps that are finished and valid: */
.step.finish {
  background-color: var(--main-blue-lt);
}

#spinner div {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

@media (max-width: 600px) {
  body {
    margin: 0.5em;
  }

  .form-styles {
    min-height: 100%;
  }

  .form-wrapper {
    padding: 1em;
    width: 100%;
    min-width: 350px;
  }

  .question {
    text-align: center;
  }

  #buttons {
    display: flex;
    justify-content: center;
  }
}
